/*
 * Copyright (c) 2019 Stefan Strobel <stefan.strobel@shimatta.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

/**
 * @file    shellmatta_autocomplete.h
 * @brief   autocomplete function of shellmatta
 * @author  Stefan Strobel <stefan.strobel@shimatta.net>
 */

/**
 * @addtogroup shellmatta_api
 * @{
 */
#ifndef _SHELLMATTA_AUTOCOMPLETE_H_
#define _SHELLMATTA_AUTOCOMPLETE_H_

void autocomplete_run(shellmatta_instance_t *inst);

#endif

/** @} */

