#include "test/framework/catch.hpp"
#include "src/shellmatta_utils.c"
#include <string.h>

shellmatta_retCode_t writeFct(const char* data, uint32_t length)
{
    return SHELLMATTA_OK;
}

TEST_CASE( "shellmatta_insertChars normal call" ) {

    shellmatta_instance_t inst;
    char buffer[20];

    inst.buffer = buffer;
    inst.bufferSize = 20;
    inst.cursor = 8;
    inst.inputCount = 10;

    inst.write = writeFct;

    utils_insertChars(&inst, (char*)"blksdflsd kfjlk", 4);

    CHECK( inst.cursor == 12);
    REQUIRE( inst.inputCount == 14);
}

